package com.qmth.teachcloud.mark.bean.omredit;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

public class OmrEditDomain {

    @NotNull(message = "考试ID不能为空")
    private Long examId;

    @NotNull(message = "课程试卷ID不能为空")
    private String coursePaperId;

    @NotBlank(message = "学号不能为空")
    private String studentCode;

    @Valid
    @NotNull(message = "papers不能为空")
    @Size(min = 1, message = "papers不能为空")
    private List<OmrEditPaper> papers;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCoursePaperId() {
        return coursePaperId;
    }

    public void setCoursePaperId(String coursePaperId) {
        this.coursePaperId = coursePaperId;
    }

    public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public List<OmrEditPaper> getPapers() {
        return papers;
    }

    public void setPapers(List<OmrEditPaper> papers) {
        this.papers = papers;
    }

}
